Skip to content

List Hadiths in a Chapter

Get a paginated list of Hadiths within a specific chapter.

  • URL: /api/early-access/book/[slug]/chapter/[chapterId]
  • Method: GET
  • Auth required: Yes
  • Query Params:
    • page (optional, default: 1)
    • pageSize (optional, default: 50)

Example Request: GET /api/early-access/book/bukhari/chapter/1

Example Response:

json
[
  {
    "id": 1,
    "metadata": {
      "volume": {
        "id": 1
      },
      "chapter": {
        "id": 1,
        "language": {
          "en": {
            "text": "How the Divine Revelation started being revealed to Allah's Messenger"
          },
          "ar": {
            "text": "باب كَيْفَ كَانَ بَدْءُ الْوَحْىِ إِلَى رَسُولِ اللَّهِ صلى الله عليه وسلم"
          },
          "al": {
            "text": ""
          }
        }
      }
    },
    "language": {
      "ar": {
        "text": "حَدَّثَنَا الْحُمَيْدِيُّ عَبْدُ اللَّهِ بْنُ الزُّبَيْرِ..."
      },
      "al": {
        "text": "Transmeton Omer ibn el-Hatabi..."
      },
      "en": {
        "narrator": "Narrated 'Umar bin Al-Khattab:",
        "text": "I heard Allah's Messenger (ﷺ) saying..."
      }
    }
  }
]

v0.1.0 - Everyone is welcome to contribute at github.com/sunnah-now. Released under the MIT License.